@use '../core/mixins';

._thumbnail {
  @include mixins.thumbnail(var(--thumbnail-width), var(--thumbnail-height));

  // All the flex properties are here to have a proper crop of the picture contained in it.
  display: inline-flex;
  flex-direction: column;
  padding: var(--spacer-tiny);
  border: 1px solid var(--border-color);
  border-radius: var(--border-radius-small);
  background-color: var(--button-background);
  cursor: pointer;

  &:hover {
    background-color: var(--button-background--hover);
  }
}
